var MeteoTimeout = 2000;       //Timeout for AJAX refreshing (ms)

/*
 *
 *	jQuery Timer plugin v0.1
 *		Matt Schmidt [http://www.mattptr.net]
 *
 *	Licensed under the BSD License:
 *		http://mattptr.net/license/license.txt
 *
 */
 jQuery.timer = function (interval, callback)
 {
 	var interval = interval || 100;

	if (!callback)
		return false;
	
	_timer = function (interval, callback) {
		this.stop = function () {
			clearInterval(self.id);
		};
		
		this.internalCallback = function () {
			callback(self);
		};
		
		this.reset = function (val) {
			if (self.id)
				clearInterval(self.id);
			
			var val = val || 100;
			this.id = setInterval(this.internalCallback, val);
		};
		
		this.interval = interval;
		this.id = setInterval(this.internalCallback, this.interval);
		
		var self = this;
	};
	
	return new _timer(interval, callback);
 };
// END timer plugin


/**
 * MAIN implementation part
 */ 
$(document).ready(function(){ 
  $.timer(
    100,                  // <--- first time, very fast timer cycle!
    function(timer) {    
      $.get(
        "meteo.xml", 
        {},
        function(xml) {
          res = $('Current', xml);
          $(".value").each(   
            function(i) {
              var Item = $(this).attr('id').replace(/\./g, '\\.');
              var Value = $(res).find(Item).text();
              if (Value =='') {
                  Value = '-';
                }
              else {
                Value = Math.round(Value*10)/10;
              }
              $(this).html(Value);
            }            
          );
        }
      ); 
    timer.reset(MeteoTimeout);     // set next standard timer
    }  
  );
});